Description

Supportanfrage

We would like to record all log messages (LOG_INFO, LOG_ERROR, ...) into a dat-file. In ADTF2.14!

Is this possible? Can we write our own "logging-sinks" to transform messages into mediasamples?

Lösung

yes it is possible, you have to implement an IConsoleListener and register at IConsoleDevice, like this:

cObjectPtr<IConsoleDevice> pConsoleDevice;

if (IS_OK(_runtime->GetObject(OID_CONSOLE_DEVICE, IID_CONSOLE_DEVICE, (tVoid**)&pConsoleDevice)))

{

    pConsoleDevice->CON_RegisterListener(this);

}

 Then you can access the Log Messages and create Media Samples.

History

#1 - 2020-07-13 11:54 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::Logging

#2 - 2020-07-14 09:29 - hidden

- Status changed from In Progress to Customer Feedback Required

Hi Marc,

yes it is possible, you have to implement an IConsoleListener and register at IConsoleDevice, like this:

cObjectPtr<IConsoleDevice> pConsoleDevice;

if (IS_OK(_runtime->GetObject(OID_CONSOLE_DEVICE, IID_CONSOLE_DEVICE, (tVoid**)&pConsoleDevice)))

{

    pConsoleDevice->CON_RegisterListener(this);

}

 Then you can access the Log Messages and create Media Samples.

#3 - 2020-07-16 11:16 - hidden

Thanks. Can be closed.

#4 - 2020-07-16 11:45 - hidden

- Project changed from 20 to Public Support

- Subject changed from ADTF2: Log-Messages to Dat-File to Record log messages as Media Samples
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/classucom_1_1_i_console_listener.html
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/classucom_1_1_i_console_device.html
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/classucom_1_1_i_console_listener.html
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/classucom_1_1_i_console_device.html


- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#5 - 2020-10-06 10:27 - hidden

- Status changed from To Be Closed to Closed
